News:

LATEST RELEASE:  FPP 7.2 - Download from here - https://github.com/FalconChristmas/fpp/releases/tag/7.2

+-+-

+-User

Welcome, Guest.
Please login or register.
 
 
 
Forgot your password?

+-Site Stats

Members
Total Members: 16349
Latest: bweber
New This Month: 0
New This Week: 0
New Today: 0
Stats
Total Posts: 131110
Total Topics: 16234
Most Online Today: 78
Most Online Ever: 7634
(January 21, 2020, 02:14:03 AM)
Users Online
Members: 1
Guests: 66
Total: 67

K8-Pi - Random Pixels on

Started by Gilmax, March 09, 2023, 12:22:04 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Gilmax

I just received my Kulp Lights K8-PI, and I'm not sure where is the best place to discuss issues I am having with it, but figured this was as good as any.  This is a fresh clean install of the most recent FPPOS.  It detects the Cape just fine.  The issue I am having is that when I plug in a string of lights (tested with multiple strings and multiple ports) some (3) of the pixels light up blue.  If I go into any test mode the pixels respond correctly, and as soon as I stop the test, they return to being blue.  I tested the strings on a previous Falcon PiCap, and have no issues with them their, so the problem only exists while using the K8-PI.  What details/information do I need to provide to help with this issue?

(The pixels are 12v from DIYLEDExpress.com purchased in early December of 2022).

RS

dkulp

It's on a Pi 4, correct?

As mentioned on the product page, it MUST be using master branch FPP code.   FPP 6.3 will not work, particularly on a Pi4. The DPI code was pretty much developed on a Pi3 so the timings work ok there with FPP 6.3, but on the Pi4, you definitely need the master branch updates.  

Daniel Kulp - https://kulplights.com

Gilmax

Yes this is on a Pi4.  I will get updated to Master and retest.  Thank you.

cybercop23

Using Pi-4 on Master and all was okay until last night when I upgraded Master. Now FPPD keeps on crashing. I detached to an earlier commit (not sure if it was the one that I was using) and still have the same issue. Based on fppd log... last successful load was on FPP 7.x-master-24-g5a1aedf6; will try to go back to that.

Crash reports are configured to be sent.

cybercop23

Quote from: cybercop23 on March 24, 2023, 08:51:49 AMUsing Pi-4 on Master and all was okay until last night when I upgraded Master. Now FPPD keeps on crashing. I detached to an earlier commit (not sure if it was the one that I was using) and still have the same issue. Based on fppd log... last successful load was on FPP 7.x-master-24-g5a1aedf6; will try to go back to that.

Crash reports are configured to be sent.

Yup... this version works... lots of commits after.. will try to ID which one breaks
FPP Version:7.x-master-24-g5a1aedf6

cybercop23

Quote from: cybercop23 on March 24, 2023, 09:16:14 AM
Quote from: cybercop23 on March 24, 2023, 08:51:49 AMUsing Pi-4 on Master and all was okay until last night when I upgraded Master. Now FPPD keeps on crashing. I detached to an earlier commit (not sure if it was the one that I was using) and still have the same issue. Based on fppd log... last successful load was on FPP 7.x-master-24-g5a1aedf6; will try to go back to that.

Crash reports are configured to be sent.

Yup... this version works... lots of commits after.. will try to ID which one breaks
FPP Version:7.x-master-24-g5a1aedf6

@dkulp looks like 44272e26 that deals with e-fuses

dkulp

Can you go to the Cape info page and the EEPROM Upgrade tab and update to the latest firmware for the K8-Pi?   I think you may have the original firmware which tried to use the eFuse stuff to work around issues in the DPI code.  That is all now fixed so it's not necessary.
Daniel Kulp - https://kulplights.com

cybercop23

Quote from: dkulp on March 24, 2023, 09:53:06 AMCan you go to the Cape info page and the EEPROM Upgrade tab and update to the latest firmware for the K8-Pi?  I think you may have the original firmware which tried to use the eFuse stuff to work around issues in the DPI code.  That is all now fixed so it's not necessary.
Thanks. That seems to make it work. It did originally say ver 1.0 and the upgrade was still 1.0, but after the upgrade the above branch worked and moved it back to head and still working. Thanks again.

Support FPP

+- Recent Topics

P5 Screen by breese
Today at 04:18:37 AM

Abnormal Condition Error by tristan
Today at 03:52:22 AM

F8-B+ locking up BBB by Babybear
Today at 03:30:03 AM

Strings flash randomly by btm231
Today at 01:22:29 AM

Smart Receiver(s) Configuration by HuskerInTexas53
December 04, 2023, 10:43:36 PM

Falcon Player Network Setup by yarhoward
December 04, 2023, 10:20:11 PM

Channels not working by MikeKrebs
December 04, 2023, 10:11:24 PM

2nd year newbie with same issues from last year by Jason Kildea
December 04, 2023, 05:14:57 PM

Falcon Player uploading data to dankulp.com by dkulp
December 04, 2023, 12:53:24 PM

How to setup a background sequence by colonelcline
December 04, 2023, 10:43:48 AM

Powered by EzPortal
Powered by SMFPacks Menu Editor Mod